# Configuration

## auroraset
 - Usage: `[p]auroraset`
 - Aliases: `moderationset, modset, moderationsettings, aurorasettings, and auroraconfig`

Manage moderation commands.

### auroraset ignorebots
 - Usage: `[p]auroraset ignorebots`
 - Restricted to: `ADMIN`

Toggle if the cog should ignore other bots' moderations.

### auroraset user
 - Usage: `[p]auroraset user`

Manage configurations for user configuration options.

#### auroraset user history
 - Usage: `[p]auroraset user history`

Manage configuration for the /history command.

##### auroraset user history inline
 - Usage: `[p]auroraset user history inline`

Manage configuration for the /history command's inline argument.

###### auroraset user history inline toggle
 - Usage: `[p]auroraset user history inline toggle <enabled>`

Enable the /history command's inline argument by default.

##### auroraset user history inline pagesize
 - Usage: `[p]auroraset user history inline pagesize <pagesize>`

Set the amount of cases to display per page.

#### auroraset user history pagesize
 - Usage: `[p]auroraset user history pagesize <pagesize>`

Set the amount of cases to display per page.

#### auroraset user history ephemeral
 - Usage: `[p]auroraset user history ephemeral <enabled>`
 - Aliases: `hidden and hide`

Toggle if the /history command should be ephemeral.

### auroraset user autoevidence
 - Usage: `[p]auroraset user autoevidence <enabled>`

Toggle if the evidenceformat codeblock should be sent automatically.

## auroraset server
 - Usage: `[p]auroraset server`
 - Restricted to: `ADMIN`

Manage default configurations for user configuration options, per server.

### auroraset server history
 - Usage: `[p]auroraset server history`
 - Restricted to: `ADMIN`

Manage configuration for the /history command.

#### auroraset server history inline
 - Usage: `[p]auroraset server history inline`
 - Restricted to: `ADMIN`

Manage configuration for the /history command's inline argument.

##### auroraset server history inline pagesize
 - Usage: `[p]auroraset server history inline pagesize <pagesize>`
 - Restricted to: `ADMIN`

Set the amount of cases to display per page.

##### auroraset server history inline toggle
 - Usage: `[p]auroraset server history inline toggle <enabled>`
 - Restricted to: `ADMIN`

Enable the /history command's inline argument by default.

#### auroraset server history ephemeral
 - Usage: `[p]auroraset server history ephemeral <enabled>`
 - Restricted to: `ADMIN`
 - Aliases: `hidden and hide`

Toggle if the /history command should be ephemeral.

#### auroraset server history pagesize
 - Usage: `[p]auroraset server history pagesize <pagesize>`
 - Restricted to: `ADMIN`

Set the amount of cases to display per page.

### auroraset server autoevidence
 - Usage: `[p]auroraset server autoevidence <enabled>`

Toggle if the evidenceformat codeblock should be sent automatically.

## auroraset showmoderator
 - Usage: `[p]auroraset showmoderator`
 - Restricted to: `ADMIN`

Toggle if the cog should show the moderator in the case embed when dming a user.

## auroraset immunity
 - Usage: `[p]auroraset immunity`
 - Restricted to: `ADMIN`

Manage configuration for immune roles.

### auroraset immunity add
 - Usage: `[p]auroraset immunity add <role>`
 - Restricted to: `ADMIN`

Add a role to the immune roles list.

### auroraset immunity remove
 - Usage: `[p]auroraset immunity remove <role>`
 - Restricted to: `ADMIN`

Remove a role from the immune roles list.

### auroraset immunity list
 - Usage: `[p]auroraset immunity list`
 - Restricted to: `ADMIN`

List all immune roles.

## auroraset permissions
 - Usage: `[p]auroraset permissions`
 - Restricted to: `ADMIN`

Toggle whether the bot will check for discord permissions.

## auroraset logchannel
 - Usage: `[p]auroraset logchannel [channel=None]`
 - Restricted to: `ADMIN`

Set a channel to log infractions to.

## auroraset import
 - Usage: `[p]auroraset import`
 - Restricted to: `ADMIN`

Import moderations from other bots.

### auroraset import galacticbot
 - Usage: `[p]auroraset import galacticbot`
 - Restricted to: `ADMIN`

Import moderations from GalacticBot.

### auroraset import aurora
 - Usage: `[p]auroraset import aurora`
 - Restricted to: `ADMIN`

Import moderations from another bot using Aurora.

## auroraset dm
 - Usage: `[p]auroraset dm`
 - Restricted to: `ADMIN`

Toggle automatically messaging moderated users.<br/><br/>This option can be overridden by specifying the `silent` argument in any moderation command.

## auroraset list
 - Usage: `[p]auroraset list`
 - Aliases: `view and show`

List all moderation settings.

## auroraset blacklist
 - Usage: `[p]auroraset blacklist`
 - Restricted to: `ADMIN`

Manage configuration for the /blacklist command.

### auroraset blacklist list
 - Usage: `[p]auroraset blacklist list`
 - Restricted to: `ADMIN`

List all blacklist types.

### auroraset blacklist remove
 - Usage: `[p]auroraset blacklist remove <role>`
 - Restricted to: `ADMIN`

Remove a role's blacklist type.

### auroraset blacklist add
 - Usage: `[p]auroraset blacklist add <role> <duration>`
 - Restricted to: `ADMIN`

Add a role to the blacklist.

# timedeltaconvert
 - Usage: `[p]timedeltaconvert <duration>`
 - Aliases: `tdc`

This command converts a duration to a [`timedelta`](https://docs.python.org/3/library/datetime.html#datetime.timedelta) Python object.<br/><br/>**Example usage**<br/>`[p]timedeltaconvert 1 day 15hr 82 minutes 52s`<br/>**Output**<br/>`1 day, 16:22:52`
